Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class LanguageFactory

    java.lang.Object
      net.sourceforge.pmd.cpd.LanguageFactory

public class LanguageFactory
extends java.lang.Object

Field Summary
`static java.lang.String` | `BY_EXTENSION`
`static java.lang.String` | `C_KEY`
`static java.lang.String` | `CPP_KEY`
`static java.lang.String` | `EXTENSION`
`static java.lang.String` | `JAVA_KEY`
`static java.lang.String` | `PHP_KEY`
`static java.lang.String` | `RUBY_KEY`

Constructor Summary
`LanguageFactory()`

Method Summary
`Language` | `createLanguage(java.lang.String language)`
`Language` | `createLanguage(java.lang.String language, java.util.Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_KEY

    public static final java.lang.String JAVA_KEY

See Also:
  Constant Field Values

### CPP_KEY

    public static final java.lang.String CPP_KEY

See Also:
  Constant Field Values

### C_KEY

    public static final java.lang.String C_KEY

See Also:
  Constant Field Values

### PHP_KEY

    public static final java.lang.String PHP_KEY

See Also:
  Constant Field Values

### RUBY_KEY

    public static final java.lang.String RUBY_KEY

See Also:
  Constant Field Values

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### BY_EXTENSION

    public static final java.lang.String BY_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### LanguageFactory

    public LanguageFactory()

Method Detail

### createLanguage

    public Language createLanguage(java.lang.String language)

### createLanguage

    public Language createLanguage(java.lang.String language,
                                   java.util.Properties properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.